# Sites Group
Well done. You stumbled upon a great module to handle multiple websites via a single Drupal setup. Enjoy leveraging the strengths of Drupal. 💪

## Requirements
* The following Drupal modules must be installed:
  * [Group](https://www.drupal.org/project/group)
  * Sites
  * Sites group
  * Form decorator
  * Group Node

## Configuration for nodes support
1. Install the `gnode` module.
2. Ensure you have created a group type: `/admin/group/types`
3. Ensure you have created a group of this type. If not, add it here: `/admin/group`
3. After the `sites_group` module is installed, you'll be able to enable `sites group` in the group edit dialogue. Enable it.
4. Open the `Permissions` tab of your group type. Set the necessary permission to allow users to view your node. This is the related permission: `Entity: View any content item entities`
5. Setup an additional hostname. You must have one general site, which acts like your administration site and is not handled via the sites module.
6. Create a hostname field in the group type and map it in the group settings. E.g. `field_hostname` of type `Text (plain)`. You can set the group settings via the edit dialogue from your group.

### Hint for the group edit dialogue
The group edit dialogue is accessible on the following uri in the bottom area of the page, if your group is named "Custom sites": `/admin/group/types/manage/custom_sites`

### Assign a frontpage to your site
* Create a frontpage field in the field settings.
* It should also be of type `Text (plain)`. Example machine name: `field_frontpage_path`.

### Recommended modules
* Group relationship tokens https://www.drupal.org/project/group_relationship_tokens

### Testing
This module leverages various testing frameworks:
* [PHPUnit](https://phpunit.de/index.html)

### Recommended modules
* Group relationship tokens https://www.drupal.org/project/group_relationship_tokens

### Testing
This module leverages various testing frameworks:
* [PHPUnit](https://phpunit.de/index.html)
